> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Mastercard Crypto Credential event notifications



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/webhooks/mastercard
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/webhooks/mastercard:
    post:
      tags:
        - Mastercard Crypto Credential
      summary: Receive Mastercard Crypto Credential event notifications
      operationId: MastercardWebhookController_handleWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MastercardWebhookDto'
      responses:
        '200':
          description: Webhook received successfully.
components:
  schemas:
    MastercardWebhookDto:
      type: object
      properties:
        eventId:
          type: string
          maxLength: 255
          description: Unique identifier of the published event.
        eventType:
          type: string
          maxLength: 255
          description: The type of the event.
        eventCreatedDate:
          type: string
          maxLength: 255
          description: When Mastercard created the event.
        ica:
          type: string
          maxLength: 255
          description: Interbank Card Association identifier of the customer.
        data:
          type: object
          description: JWE-encrypted event payload.

````